Page MenuHomePhabricator

Add support for video thumbnails from meta data and album artwork for audio files.
ClosedPublic

Authored by netstar on Jan 6 2017, 6:55 AM.

Details

Reviewers
raster
cedric
Summary

Generally these images are better quality than those
from the Interwebz and local so let's use em!

For now using emotion_object_meta_preview_get()
as Apple stores them in this tag.

emotion_object_meta_image_get() is also available
and I've heard also it is used similarly, but
am yet to find a file that does that.

Diff Detail

Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 3041
Build 3106: arc lint + arc unit
netstar updated this revision to Diff 10451.Jan 6 2017, 6:55 AM
netstar retitled this revision from to Add support for video thumbnails from meta data and album artwork for audio files..
netstar updated this object.
netstar edited the test plan for this revision. (Show Details)
netstar updated this revision to Diff 10452.Jan 6 2017, 7:01 AM

Indentation

netstar updated this revision to Diff 10453.Jan 6 2017, 7:02 AM

Indentation

This is dependent on: https://phab.enlightenment.org/D4550

Here are the video images from the embedded artwork. As you can see it looks neato:

https://www.enlightenment.org/ss/display.php?image=e-586fa87eb5a3f9.83265363.jpg

netstar updated this revision to Diff 10454.Jan 6 2017, 8:07 AM

More efficient

Ugh maybe this is a bit wrong???

netstar updated this revision to Diff 10460.Jan 6 2017, 5:28 PM

Indent mateee

netstar updated this revision to Diff 10464.Jan 7 2017, 9:08 AM

Always indent!!!!

This comment was removed by netstar.
netstar updated this revision to Diff 10465.Jan 7 2017, 7:23 PM

Fix stuff

netstar updated this revision to Diff 10466.Jan 7 2017, 7:26 PM

Fix indent AGAIN!!!

netstar updated this revision to Diff 10471.Jan 9 2017, 4:51 AM

Update.

netstar updated this revision to Diff 10476.Jan 9 2017, 7:12 AM

Make artwork work for mp3 files not just m4a!!!

netstar updated this revision to Diff 10477.Jan 9 2017, 7:46 AM

Fix SEGV

netstar updated this revision to Diff 10478.Jan 9 2017, 7:47 AM

indentae

netstar updated this revision to Diff 10480.Jan 9 2017, 7:57 AM

exit after saving the image...

netstar updated this revision to Diff 10481.Jan 9 2017, 8:13 AM

Silly move

netstar updated this revision to Diff 10482.Jan 9 2017, 8:19 AM

meh meh me

netstar updated this revision to Diff 10487.Jan 9 2017, 3:49 PM

Fix so open-with (efm and friends) will get album art properly too!

netstar updated this revision to Diff 10497.Jan 10 2017, 7:51 AM

Fixes to work with D4550 changes...

netstar updated this revision to Diff 10498.Jan 10 2017, 7:58 AM

Fix SEGV on exit

netstar updated this revision to Diff 10499.Jan 10 2017, 8:04 AM

ugh that was wrong

Hi @raster I think this is mostly okay....but I am somewhat of a n00b in relation to EFL and friends...

Artwork should display properly everywhere, from "open with" dialogues, command-line and from just running:

"rage" with files in $HOME/Videos

Maybe it needs fixing a little bit.

netstar updated this revision to Diff 10505.Jan 11 2017, 9:43 AM

Album art works and rage_thumb standalone works and gets the proper image
for some reason not setting...

netstar updated this revision to Diff 10507.Jan 11 2017, 4:40 PM

Rm broke

netstar updated this revision to Diff 10508.Jan 11 2017, 4:42 PM

Rm shite

netstar updated this revision to Diff 10509.Jan 11 2017, 4:47 PM

remove thumb code...show example of new API in win.c for album artwork in file

netstar updated this revision to Diff 10514.Jan 12 2017, 11:47 AM

Just do that please thank you!

cedric accepted this revision.Jan 12 2017, 2:39 PM
cedric added a reviewer: cedric.
This revision is now accepted and ready to land.Jan 12 2017, 2:39 PM
cedric closed this revision.Jan 12 2017, 2:39 PM